SSH Monitor Check Historie abrufen
Gibt die letzten Check-Ergebnisse für einen SSH Monitor zurück.
GET /api/ssh-monitors/:sshMonitorPublicId/check-history
Authentifizierung
Erfordert eine gültige Session.
- Header:
Authorization: Bearer <token>
Parameter
sshMonitorPublicId(Pfad, erforderlich): Öffentliche UUID des SSH Monitors.
Query Parameter
limit(number, optional)- Default:
50 - Max:
200
- Default:
cURL
curl "https://YOUR_DOMAIN/api/ssh-monitors/44444444-4444-4444-8444-444444444444/check-history?limit=50" \
-H "Authorization: Bearer $TOKEN"Response
{
"data": [
{
"id": 12345,
"status": "success",
"errorMessage": null,
"warningMessage": null,
"timingSsh": 123,
"diagnostics": {
"message": "SSH connection successful"
},
"checkedAt": "2026-02-26T12:00:00.000Z",
"locationId": 1,
"locationName": "Nuremberg (DE)",
"locationCode": "de-nbg"
}
]
}Errors
400SSH Monitor Public ID (UUID) erforderlich401Unauthorized403Forbidden404Not found